LOGGER(1)

NAME
logger - enter messages into the system log

SYNOPSIS
logger [options] [message]

DESCRIPTION
logger makes entries in the system log. It provides a shell-command interface to the syslog(3) system log module.

When the optional message argument is present, it is written to the log. If it is not present, and the -f option is not given either, then standard input is logged.

OPTIONS

-d, --udp
    Use datagrams (UDP) only. By default the connection is tried to the syslog port defined in /etc/services, which is often 514 .

-f, --file file
    Log the contents of the specified file. This option cannot be combined with a command-line message.

-i, --id[=id]
    Log the PID of the logger process with each line. When the optional argument id is specified, then it is used instead of the logger command's PID. The use of --id=$$ (PPID) is recommended in scripts that send several messages.

--journald[=file]
    Write a systemd journal entry. The entry is read from the given file, when specified, otherwise from standard input. Each line must begin with a field that is accepted by journald; see systemd.journal-fields(7) for details. The use of a MESSAGE_ID field is generally a good idea, as it makes finding entries easy. Examples:

        printf "%s\n%s\n%s\n" MESSAGE_ID=42 DOGS=bark "CARAVAN=goes on" | logger --journald
        logger --journald=entry.txt

    Notice that --journald will ignore values of other options, such as priority. If priority is needed it must be within input, and use PRIORITY field. The simple execution of journalctl will display MESSAGE field. Use journalctl --output json-pretty to see rest of the fields.

-n, --server server
    Write to the specified remote syslog server instead of to the builtin syslog routines. Unless --udp or --tcp is specified, logger will first try to use UDP, but if thist fails a TCP connection is attempted.

-P, --port port
    Use the specified port. When this option is not specified, the port defaults to syslog for udp and to syslog-conn for tcp connections.

-p, --priority priority
    Enter the message into the log with the specified priority. The priority may be specified numerically or as a facility.level pair. For example, -p local3.info logs the message as informational in the local3 facility. The default is user.notice.

--prio-prefix
    Look for a syslog prefix on every line read from standard input. This prefix is a decimal number within angle brackets that encodes both the facility and the level. The number is constructed by multiplying the facility by 8 and then adding the level. For example, local0.info, meaning facility=16 and level=6, becomes <134>.

    If the prefix contains no facility, the facility defaults to what is specified by the -p option. Similarly, if no prefix is provided, the line is logged using the priority given with -p.

    This option doesn't affect a command-line message.

--rfc3164
    Use the RFC 3164 BSD syslog protocol to submit messages to a remote server.

--rfc5424[=without]
    Use the RFC 5424 syslog protocol to submit messages to a remote server. The optional without argument can be a comma-separated list of the following values: notq, notime, nohost. The notq value suppresses the time-quality structured data from the submitted message. (The time-quality information shows whether the local clock was synchronized plus the maximum number of microseconds the timestamp might be off.) The notime value (which implies notq) suppresses the complete sender timestamp that is in ISO-8601 format, including microseconds and timezone. The nohost value suppresses gethostname(2) information from the message header.

    The RFC 5424 protocol has been the default for logger since version 2.26.

-s, --stderr
    Output the message to standard error as well as to the system log.

-T, --tcp
    Use stream (TCP) only. By default the connection is tried to the syslog-conn port defined in /etc/services, which is often 601.

-t, --tag tag
    Mark every line to be logged with the specified tag.

-u, --socket socket
    Write to the specified socket instead of to the builtin syslog routines.

--socket-errors[=mode]
    Print errors about Unix socket connections. The mode can be a value of off, on, or auto. When the mode is auto logger will detect if the init process is systemd, and if so assumption is made /dev/log can be used early at boot. Other init systems lack of /dev/log will not cause errors that is identical with messaging using openlog(3) system call. The logger(1) before version 2.26 used openlog, and hence was inable to detected loss of messages sent to Unix sockets.

    The default mode is auto. When errors are not enabled lost messages are not communicated and will result to successful return value of logger(1) invocation.

--  End the argument list. This allows the message to start with a hyphen (-).

-V, --version
    Display version information and exit.

-h, --help
    Display help text and exit.

RETURN VALUE
The logger utility exits 0 on success, and >0 if an error occurs.

FACILITIES AND LEVELS
Valid facility names are:

    auth
    authpriv | for security information of a sensitive nature
    cron
    daemon
    ftp
    kern | cannot be generated from user process
    lpr
    mail
    news
    syslog
    user
    uucp
    local0
    to |
    local7
    security | deprecated synonym for auth

Valid level names are:

    emerg
    alert
    crit
    err
    warning
    notice
    info
    debug
    panic | deprecated synonym for emerg
    error | deprecated synonym for err
    warn | deprecated synonym for warning

For the priority order and intended purposes of these facilities and levels, see syslog(3).

EXAMPLES
logger System rebooted
logger -p local0.notice -t HOSTIDM -f /dev/idmc
logger -n loghost.example.com System rebooted

SEE ALSO
syslog(3), syslogd(8), journalctl(1), systemd.journal-fields(7)

STANDARDS
The logger command is expected to be IEEE Std 1003.2 ("POSIX.2") compatible.

AVAILABILITY
The logger command is part of the util-linux package and is available from Linux Kernel Archive (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).